Engineering

 View Only
Expand all | Collapse all

Build Framework Error, Nmake not found

  • 1.  Build Framework Error, Nmake not found

    Posted Fri March 26, 2021 01:20 PM

    I recently installed Rhapsody 9.0. When I try to build the framework, however I run into an error:

    Nmake: fatal error U1077: return code '0x1'

    Nmake: fatal error U1077: return code '0x2'.

    Uptil recently I have been using Rhapsody 8.4 and have not faced these errors there.

    All the environment variables have been set as needed. Any help figuring out, how to solve this issue is much appreciated.

    Thank You



    #Engineering
    #Support
    #SupportMigration


  • 2.  RE: Build Framework Error, Nmake not found

    Posted Fri March 26, 2021 01:46 PM

    Check you have a valid path to the VS compiler in the share/etc/msvcmake.bat.

    Then make sure your Rhapsody project component (and configuration) have selected the appropriate IDEVersion property to match the entry in msvcmake.bat.



    #Engineering
    #Support
    #SupportMigration


  • 3.  RE: Build Framework Error, Nmake not found

    Posted Fri March 26, 2021 09:31 PM

    Hi, that was one of the first things I checked. It does have the correct link to VsDevCmd.bat. For the record, I am using VS community 2017 and in the project executable settings -> Properties -> IDE version is VC15.



    #Engineering
    #Support
    #SupportMigration